summaryrefslogtreecommitdiff
path: root/plugins/rustup
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/rustup')
-rw-r--r--plugins/rustup/README.md8
-rw-r--r--plugins/rustup/rustup.plugin.zsh27
2 files changed, 8 insertions, 27 deletions
diff --git a/plugins/rustup/README.md b/plugins/rustup/README.md
index ba037f8f6..c620e72a8 100644
--- a/plugins/rustup/README.md
+++ b/plugins/rustup/README.md
@@ -1,9 +1,3 @@
# rustup
-This plugin adds completion for [`rustup`](https://rustup.rs/), the toolchain installer for the Rust programming language.
-
-To use it, add `rustup` to the plugins array in your zshrc file:
-
-```zsh
-plugins=(... rustup)
-```
+**Deprecated: use the [`rust`](https://github.com/ohmyzsh/ohmyzsh/tree/master/plugins/rust) plugin instead.**
diff --git a/plugins/rustup/rustup.plugin.zsh b/plugins/rustup/rustup.plugin.zsh
index af8cf03a2..0ca745b7e 100644
--- a/plugins/rustup/rustup.plugin.zsh
+++ b/plugins/rustup/rustup.plugin.zsh
@@ -1,24 +1,11 @@
-if (( ! $+commands[rustup] )); then
- return
-fi
+print ${(%):-'%F{yellow}The `rustup` plugin is deprecated and has been moved to the `rust` plugin.'}
+print ${(%):-'Please update your .zshrc to use the `%Brust%b` plugin instead.%f'}
# Remove old generated completion file
-# TODO: 2021-09-15: remove this line
+# TODO: 2021-12-28: remove this line
command rm -f "${0:A:h}/_rustup"
-# Add completions/ folder in $ZSH_CACHE_DIR
-comp_file="$ZSH_CACHE_DIR/completions/_rustup"
-command mkdir -p "${comp_file:h}"
-(( ${fpath[(Ie)"$ZSH_CACHE_DIR/completions"]} )) || fpath=("$ZSH_CACHE_DIR/completions" $fpath)
-
-# If the completion file doesn't exist yet, we need to autoload it and
-# bind it to `rustup`. Otherwise, compinit will have already done that
-if [[ ! -f "$comp_file" ]]; then
- autoload -Uz _rustup
- declare -A _comps
- _comps[rustup]=_rustup
-fi
-
-# Generate completion file in the background
-rustup completions zsh >| "$comp_file" &|
-unset comp_file
+(( ${fpath[(Ie)$ZSH/plugins/rust]} )) || {
+ fpath=("$ZSH/plugins/rust" $fpath)
+ source "$ZSH/plugins/rust/rust.plugin.zsh"
+}